// MDIClientWnd.h: interface for the CMDIClientWnd class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MDICLIENTWND_H__08AAE2F6_C1A2_44F0_95F9_2E0EA051E548__INCLUDED_)
#define AFX_MDICLIENTWND_H__08AAE2F6_C1A2_44F0_95F9_2E0EA051E548__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CMDIClientWnd : public CWnd  
{
public:
	CMDIClientWnd();
	virtual ~CMDIClientWnd();

	CBitmap m_Bitmap;
	CBitmap m_BitmapGray;
	long m_nBkColor;
	int m_nType;
	bool m_bGray;
	void CreateGrayBitmap(void);

// Implementation
protected:

	COLORREF LightenColor(COLORREF col,double factor);
	//{{AFX_MSG(CMDIClientWnd)
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif // !defined(AFX_MDICLIENTWND_H__08AAE2F6_C1A2_44F0_95F9_2E0EA051E548__INCLUDED_)
